<?php

function mytheme_customize_register( $wp_customize ) {


$wp_customize->add_panel( 'options', array(
  'title' => esc_html__( 'Options' ),
//'description' => $description, // Include html tags such as <p>.
  'priority' => 1, // Mixed with top-level-section hierarchy.
) );


// Site section 
$wp_customize->add_section( 'site-setup', array(
    'title'       => esc_html__('Site with', 'mytheme'), 
    'description' => '',
    'priority'    => 1,
    'panel'       => 'options',
 ) ); 
  

$wp_customize->add_setting( 'site_placement', array(
            'default'     => '1',
            'transport'   => 'refresh',
            'sanitize_callback' => 'sanitize_site_placement',
           )
);
 
$wp_customize->add_control(
    'site_placement',
    array(
        'type'      => 'radio',
        'label'     => 'Site placement',
        'section'   => 'site-setup',
        'settings'  => 'site_placement',
        'choices' => array(
                '1'  => 'Boxed',
                '2'  => 'Wide',
        ),
    )
);



$wp_customize->add_section( 'header' , array(  // adaugare sectiune noua
    'title'      => esc_html__( 'Header', 'mytheme' ), // nume sectiune
    'priority'   => 2,
    'panel'      => 'options', // id-ul panoului
) );

// HEADER BACKGROUND

$wp_customize->add_setting( 'header_bgcolor' , array(  // id-ul folosit poate fi orice nume [header_bgcolor]
    'default'     => '#000000', // culoare default
    'transport'   => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bgcolor', array(
	'label'        => esc_html__( 'Header Color', 'mytheme' ),
	'type'         => 'color', // tipul folosit
	'section'      => 'header', // id-ul sectiuni
	'settings'     => 'header_bgcolor', 
   'priority'    => 1,
) ) );


// ASCUNDE BANERUL

$wp_customize->add_setting( 'ascunde_banner', array( 
    'default'     => '1', // default
    'transport'   => 'refresh',
    'sanitize_callback' => 'sanitize_checkbox',
) );


$wp_customize->add_control( 'ascunde_banner', array(
      'label'    => esc_html__('Ascunde bannerul', 'mytheme'),
      'type'     => 'checkbox',
      'section'  => 'header',
      'settings' => 'ascunde_banner',
      'priority' => 2,
) );


}
add_action( 'customize_register', 'mytheme_customize_register' );



/*= Functii */

function sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}


function sanitize_site_placement( $input ) {
    $valid = array(
        '1'  => 'wide',
        '2'  => 'boxed',
    );
 
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return '';
    }
}




function mytheme_customize_css()
{
    ?>
  <style type="text/css">

     <?php $sitewith = get_theme_mod('site_placement'); ?>

      <?php if ( '1' == $sitewith ) { ?>
                              
        #page { 
          max-width:1080px;
          height:100%;
          margin: 0 auto;
          padding: 0;
          position: relative;
          background:#fff;
         }

        <?php } else { ?>
       
         #page { 
          width:100%;
          height:100%;
          margin: 0 auto;
          padding: 0;
          position: relative;
          background:#fff;
         } 
        <?php } ?> 


    .header { background:<?php echo get_theme_mod('header_bgcolor', '#000000'); ?>!important; }



         </style>
    <?php
}
add_action( 'wp_head', 'mytheme_customize_css');